Subject: pam_cap in /et/pam.d/login causes loging rejection

From: daggs <[email-masked]>
Date: Tue, 30 Jul 2024 22:56:43 +0200

Greetings,

I'm using this tutorial https://adil.medium.com/run-your-applications-with-necessary-privileges-linux-capabilities-428e2c402f0b to enable pam_cap on my alpine installation.
I've rebuilt libcap so pam_cap.so and capabilites.conf are part of it and installed it.
after I've configured all my file according to the tutorial and installed util-linux-login I got to a situation when I boot the machine and try to login from ui but I'm unable to (I type the correct password for root and another another user that has no password to login).
I get Login incorrect error.

how can I resolve this or at least debug it?

Thanks,

Dagg